# -*- coding: utf8 -*-


class SMSException(Exception):
    def __init__(self, msg=u''):
        if msg:
            self.message = msg


class PlatformNotFound(SMSException):
    message = u'PlatformNotFound'


class InvalidPhoneNumber(SMSException):
    message = u'InvalidPhoneNumber'


class TemplateNotFound(SMSException):
    message = u'TemplateNotFound'


class SendTimeLimit(SMSException):
    message = u'SENDDING FREQUENCY LIMITTED'
